Bug 199700 - Output catalog has pixel positions for all sources set to 0,0
Output catalog has pixel positions for all sources set to 0,0
Product: Fedora
Classification: Fedora
Component: sextractor (Show other bugs)
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-07-21 09:56 EDT by Pablo Pérez González
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-26 12:15:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix the pointer aliasing problems (50.53 KB, patch)
2006-07-26 12:14 EDT, Sergio Pascual
no flags Details | Diff

  None (edit)
Description Pablo Pérez González 2006-07-21 09:56:42 EDT
Description of problem:

The program runs perfectly but the output catalog has the pixel position of all
detected sources fixed to 0,0 and the RA-DEC coordinates are all the same
(corresponding to pixel 0,0).

Version-Release number of selected component (if applicable): 2.5.0-1.fc5

How reproducible: Perfectly

Steps to Reproduce:
1.Download image and sextractor input file from
2.Run sextractor outputting the following parameters:


3.Check output catalog.
Actual results: All pixel positions set to 0,0

Expected results: Different pixel positions and RA-DEC's for each source.

Additional info: Version directly downloaded from

works perfectly.
Comment 1 Sergio Pascual 2006-07-21 13:11:41 EDT
Thanks Pablo.

The problem seems to come from the different compilation options of the home
made  sextractor rpm and the fedora rpm.

The fedora rpm is compiled with, between other options, -O2 
The rpm made by the sextractor people is compiled with -O1

As I have tested, the inclusion of -O2 of the fedora rpm produces the errors. I
will tell upstream and I will produce a new rpm optimized with -O1 insted of -O2
Comment 2 Sergio Pascual 2006-07-24 07:25:31 EDT
It seems that changing the flags breaks the debugging info of the package. I
have reverted the flag from -O1 to -O2 again. 
Comment 3 Sergio Pascual 2006-07-24 09:14:53 EDT
Additionally, the rpm seems to work in FC4. There exists a problem with the
source and gcc 4.1
Comment 4 Sergio Pascual 2006-07-26 12:14:21 EDT
Created attachment 133079 [details]
Patch to fix the pointer aliasing problems

Note You need to log in before you can comment on or make changes to this bug.